GET api/Common/GetAllCount?DairyPlantID={DairyPlantID}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
DairyPlantID

integer

Required

Body Parameters

None.

Response Information

Resource Description

AllCount
NameDescriptionTypeAdditional information
TotalTPO

integer

None.

TotalFPO

integer

None.

TotalChallan

integer

None.

TotalInvoice

integer

None.

TotalItem

integer

None.

TotalItemStock

decimal number

None.

TotalDistributor

integer

None.

TotalCredit

decimal number

None.

TotalDebit

decimal number

None.

TotalTPOAmount

decimal number

None.

TotalFPOAmount

decimal number

None.

TotalChallanAmount

decimal number

None.

TotalInvoiceAmount

decimal number

None.

Response Formats

application/json, text/json

Sample:
{
  "totalTPO": 1,
  "totalFPO": 2,
  "totalChallan": 3,
  "totalInvoice": 4,
  "totalItem": 5,
  "totalItemStock": 6.0,
  "totalDistributor": 7,
  "totalCredit": 8.0,
  "totalDebit": 9.0,
  "totalTPOAmount": 10.0,
  "totalFPOAmount": 11.0,
  "totalChallanAmount": 12.0,
  "totalInvoiceAmount": 13.0
}

application/xml, text/xml

Sample:
<AllCount xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/DistributionApplication.Entities">
  <TotalChallan>3</TotalChallan>
  <TotalChallanAmount>12</TotalChallanAmount>
  <TotalCredit>8</TotalCredit>
  <TotalDebit>9</TotalDebit>
  <TotalDistributor>7</TotalDistributor>
  <TotalFPO>2</TotalFPO>
  <TotalFPOAmount>11</TotalFPOAmount>
  <TotalInvoice>4</TotalInvoice>
  <TotalInvoiceAmount>13</TotalInvoiceAmount>
  <TotalItem>5</TotalItem>
  <TotalItemStock>6</TotalItemStock>
  <TotalTPO>1</TotalTPO>
  <TotalTPOAmount>10</TotalTPOAmount>
</AllCount>